<div id="body" class="container-fluid">
  <h6 class="mb-3">{{cpeHeader}}</h6>
  {{lblMessage}}
<form [formGroup]="form" novalidate>
  <mat-accordion>
    <mat-expansion-panel [expanded]="true" class="mb-3">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>General</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <app-equipment-receipt [group]="form.controls.equipmentReceipt" [parent]="this"></app-equipment-receipt>

      <div class="form-row" *ngIf="showNID">
        <input type="hidden" formControlName="hfNidSerialNumber" />
        <div class="form-group form-group-sm row col-24 col-lg-10">
          <label class="col-form-label col-24 col-lg-8">NID Serial #: </label>
          <div class="col-24 col-lg-12">
            <input type="text" class="form-control form-control-sm" formControlName="nidSerialNumber" />
          </div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-10">
          <label class="col-form-label col-24 col-lg-8">NID IP: </label>
          <div class="col-24 col-lg-12">
            <input type="text" class="form-control form-control-sm" formControlName="nidIp" [readonly]="true" />
          </div>
        </div>
      </div>
    </mat-expansion-panel>
  </mat-accordion>
  <div class="form-row text mt-2">
    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-4" *ngIf="isCPEPOReceipts">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnInsertDateWaitSCM_Click()" [disabled]="locked">
        Insert Date Wait SCM
      </button>
    </div>
    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-4" *ngIf="isCPEPOReceipts">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnRemoveDateWaitSCM_Click()" [disabled]="locked">
        Remove Date Wait SCM
      </button>
    </div>
    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isCPEPOReceipts">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnNotifySCMOnly_Click()" [disabled]="locked">
        Notify SCM Only
      </button>
    </div>
    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-5" *ngIf="isCPEPOReceipts">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnCompleteTaskNotifySCM_Click()" [disabled]="locked">
        Complete Task & Notify To SCM
      </button>
    </div>
    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-5" *ngIf="isCPEPOReceipts && showNID">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnAssignNIDSerialNbr_Click()" [disabled]="locked">
        Assign NID Serial#
      </button>
    </div>

    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isCPECustProvReceipts">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnInsertDateWaitSCM_Click()" [disabled]="locked">
        Insert Date
      </button>
    </div>
    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isCPECustProvReceipts">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnRemoveDateWaitSCM_Click()" [disabled]="locked">
        Remove Date
      </button>
    </div>
    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isCPECustProvReceipts">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnCompleteTaskNotifySCM_Click()" [disabled]="locked">
        Complete Task
      </button>
    </div>

    <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3">
      <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="btnCancel_Click()">
        Cancel
      </button>
    </div>
  </div>
  <br />
  <!--Comment History-->
  <mat-accordion>
    <mat-expansion-panel [expanded]="true" class="mb-3">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>Comment History</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <dx-data-grid class="mb-3" [dataSource]="noteList"
                    [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                    [showBorders]="true" [columnAutoWidth]="true">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
        <dxo-paging [pageSize]="10"></dxo-paging>

        <dxi-column dataField="nteTypeDes" caption="Note Type" dataType="string"></dxi-column>
        <dxi-column dataField="nteTxt" caption="Note" dataType="string"></dxi-column>
        <dxi-column dataField="creatByUserFullName" caption="Created By" dataType="string"></dxi-column>
        <dxi-column dataField="creatDt" caption="Created Date" dataType="datetime" cellTemplate="dateTimeTemplate"></dxi-column>
        <div *dxTemplate="let cell of 'dateTimeTemplate'">
          <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          <span class="d-block">{{ cell.text | date: 'hh:mm aa' }}</span>
        </div>
      </dx-data-grid>
    </mat-expansion-panel>
  </mat-accordion>

  <!--Notes-->
  <mat-accordion>
    <mat-expansion-panel [expanded]="true" class="mb-3">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>Comments</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <div class="form-row">
        <div class="form-group form-group-sm row col-24">
          <textarea rows="5" class="form-control" formControlName="notes"></textarea>
        </div>
      </div>
    </mat-expansion-panel>
  </mat-accordion>

</form>
</div>
